dpkg-genchanges(1)

NAMN
dpkg-genchanges - skapa .changes-filer för Debian

SYNOPS
dpkg-genchanges [flagga...]

BESKRIVNING
dpkg-genchanges läser information från ett uppackat och byggt Debiankällkodsträd och från de filer det har genererat, och genererar en styrfil för insändning till Debian (.changes-fil).

FLAGGOR

--build=typ
    Anger bygg-type från en kommaavdelad lista med komponenter (sedan dpkg 1.18.5).

    Tillåtna värden är:

    source
        Sänd in källkodspaketet.

    any Sänd in arkitekturspecifika binärpaket.

    all Sänd in arkitekturoberoende binärpaket.

    binary
        Sänd in arkitekturberoende och -oberoende binärpaket. Detta är ett alias för any,all.

    full
        Sänd in allt. Det här är ett alias för source,any,all och är detsamma som standardläget om inga byggflaggor anges.

-g  Motsvarar --build=source,all (sedan dpkg 1.17.11).

-G  Motsvarar --build=source,any (sedan dpkg 1.17.11).

-b  Motsvarar --build=binary eller --build=any,all.

-B  Motsvarar --build=any.

-A  Motsvarar --build=all.

-S  Motsvarar --build=source.

Flaggorna -sx styr huruvida det ursprungliga källkodsarkivet ska inkluderas i insändningen om källkod genereras (dvs. -b eller -B inte har använts).

-si Som standard, eller om den anges, kommer originalkällkoden endast att inkluderas om uppströmsversionsnumret (versionsnumret utan epok och utan Debianuppdateringsnummer) skiljer sig från uppströmsversionsnumret i föregående ändringsloggspost.

-sa Bifogar alltid originalkällkoden.

-sd Bifogar inte originalkällkoden, utan enbart differensfilen.

-vversion
    Använder information från ändringsloggen för alla versioner som är strikt senare än version.

-Cändringsbeskrivning
    Läs beskrivningen av ändringarna från filen ändringsbeskrivning istället för att använda information från källkodsträdets changelog-fil.

-mpaketansvarige-adress
    Använd paketansvarige-adress som namn och e-postadress till ansvarig för detta paket, istället för att använda informationen från källkodsträdets control-fil.

-epaketansvarige-adress
    Använd paketansvarige-adress som namn och e-postadress till ansvarig för denna insändning, istället för att använda informationen från källkodsträdets changelog-fil.

-Vnamn=värde
    Ställer in en utdatasubstitueringsvariabel. Se deb-substvars(5) för en beskrivning av utdatasubstituering.

-Tsubstvars-fil
    Läs substitutionsvariabler från substvars-fil; standard är debian/substvars. Ingen variabelsubstitution utförs på något av fälten i utdata, bortsett från innehållet som extraheras från binärpaketets Description-fält (sedan dpkg 1.19.0), men om den speciella variabeln Format anges kommer den överstyra fältet med samma namn. Flaggan kan användas flera gånger för att läsa substitutionsvariabler från flera filer (sedan dpkg 1.15.6).

-Dfält=värde
    Ersätt eller lägg till ett fält i den genererade control-filen.

-Ufält
    Ta bort ett fält ur den genererade control-filen.

-ccontrol-fil
    Anger huvudkällkodsstyrfilen som information ska läsas från. Standardvärdet är debian/control.

-ländringsloggfil
    Anger ändringsloggfilen som information ska läsas från. Standardvärdet är debian/changelog.

-ffillistfil
    Läser listan över filer som ska sändas in härifrån, istället för att använda debian/files.

-Fändringsloggformat
    Anger format på ändringsloggen. Se dpkg-parsechangelog(1) för information om alternativa format.

-uinsändningskatalog
    Se efter filer som ska sändas in i insändningskatalog istället för .. (dpkg-genchanges måste kunna se dessa filer så att det kan lägga in deras storlekar och kontrollsummor i .changes-filen).

-q  dpkg-genchanges kommer normalt att generera informativa meddelanden på standard fel, till exempel om hur många pakets källkodsfiler sänds in. -q undertrycker dessa meddelanden.

-O[filnamn]
    Skriv ändringsfilen på standard ut (förval) eller till filnamn om anges (sedan dpkg 1.18.5).

-?, --help
    Visar hjälpskärm och avslutar.

--version
    Visar version och avslutar.

MILJÖVARIABLER

DEB_HOST_ARCH
    Anger värdarkitekturen.

DPKG_COLORS
    Väljer färgläge (sedan dpkg 1.18.5). För närvarande godtas följande värden: auto (förval), always och never.

DPKG_NLS
    Om satt, används för att bestämma om lokalt språkstöd ska aktiveras, även känt som internationaliseringsstöd (eller i18n) (sedan dpkg 1.19.0). Tillåtna värden är: 0 och 1 (förval).

FILER

debian/files
    Listan över genererade filer som är en del av den insändning som förbereds. dpkg-genchanges läser data här när .changes-filen skapas.

SE ÄVEN
deb-substvars(5), deb-src-control(5), deb-src-files(5), deb-changelog(5), deb-changes(5).

ÖVERSÄTTNING
Peter Krefting och Daniel Nylander.